Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class RequestHeader_1_0Helper

    java.lang.Object
      |
      +--org.omg.GIOP.RequestHeader_1_0Helper

public class RequestHeader_1_0Helper
extends java.lang.Object

Helper class for : RequestHeader_1_0

Author:
  OpenORB Compiler

Constructor Summary
`RequestHeader_1_0Helper()`

Method Summary
`static RequestHeader_1_0` | `extract(Any a)` Extract RequestHeader_1_0 from an any
`static java.lang.String` | `id()` Return the RequestHeader_1_0 IDL ID
`static void` | `insert(Any a, RequestHeader_1_0 t)` Insert RequestHeader_1_0 into an any
`static RequestHeader_1_0` | `read(InputStream istream)` Read RequestHeader_1_0 from a marshalled stream
`static TypeCode` | `type()` Return the RequestHeader_1_0 TypeCode
`static void` | `write(OutputStream ostream, RequestHeader_1_0 value)` Write RequestHeader_1_0 into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestHeader_1_0Helper

    public RequestHeader_1_0Helper()

Method Detail

### insert

    public static void insert(Any a,
                              RequestHeader_1_0 t)

  Insert RequestHeader_1_0 into an any
  Parameters:
    `a` - an any
    `t` - RequestHeader_1_0 value

### extract

    public static RequestHeader_1_0 extract(Any a)

  Extract RequestHeader_1_0 from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RequestHeader_1_0 value

### type

    public static TypeCode type()

  Return the RequestHeader_1_0 TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RequestHeader_1_0 IDL ID
  Returns:
    an ID

### read

    public static RequestHeader_1_0 read(InputStream istream)

  Read RequestHeader_1_0 from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RequestHeader_1_0 value

### write

    public static void write(OutputStream ostream,
                             RequestHeader_1_0 value)

  Write RequestHeader_1_0 into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RequestHeader_1_0 value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD